techrar docs
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
  1. Prime
  • SaaS Meal Subscription
  • Merchant APIs
    • List Merchant Orders
  • Customer APIs
    • Subscriptions
      • Subscriptions
        • List Subscriptions
        • Subscription Details
        • Change Subscription Location
        • Postpone/Pause/Resume SubOrders
        • Renew Subscription
        • List Subscription Orders
      • SubOrders
        • Customer SubOrders
        • Change SubOrder Location
        • Bulk Change Suborder Location
        • Change Meals
        • Change Delivery Window
        • Bulk Change Delivery Window
        • Bulk Change PickUp Branch
        • Frozen/Postponed SubOrders
        • Pre-Order
      • Complaints
        • Complain SubOrder
        • List Complaint Reasons
        • Complaint Details
      • invoices
        • List SubOrder Invoices
    • Plans
      • V3
        • Plan Tag
        • List Super Plans
        • Super Plan Details
        • Plan Date Details
        • List Feature Plan Tags
        • List Featured Plans
        • Plan Menu Categories
        • Has Purchased Plan
    • Order
      • Place Order
        • Place Order
        • List orders
        • Order Details
        • Vouchered Cart
        • Discounted Cart
        • Redeemed Cart
        • Add-On Order
        • Redeemed Add-Ons Cart
    • Menus
      • List Menus
      • Menu Details
      • Menu Add-Ons Details
      • Menu Options
    • Restaurant
      • List Restaurant
      • Restaurant Details
      • List Restaurant Branch
      • On-Demand Restaurants
      • Restaurant Menu
      • List Restaurant Categories
      • Product Details
      • Combo Details
      • Wallet Credit Products
      • Allergen Dislikes List
      • Product Variants List
      • Restaurant Variants List
    • Vouchers
      • Featured Vouchers List
    • configs
      • App Config Details
      • Light App Config
      • List Mobile Connectors
    • Prime
      • Corporate Location Details
        GET
  1. Prime

Corporate Location Details

GET
https://api.techrar.com/api/v1/corporates/locations/{location_id}/
This endpoint allows customers to retrieve detailed information about a specific corporate location by its ID. Customers can view the complete location details including delivery address, floor and office numbers, contact information, delivery window preferences, and cashback benefits associated with their corporate account.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.techrar.com/api/v1/corporates/locations/1/' \
--header 'app-id: 4' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "id": 1,
    "custom_fields": null,
    "location": {
        "id": 1,
        "custom_fields": null,
        "city": {
            "id": 1,
            "custom_fields": null,
            "app_id": null,
            "created_at": "2022-03-12T20:16:56.847917+03:00",
            "modified_at": "2024-05-07T14:36:31.000029+03:00",
            "is_deleted": false,
            "deleted_at": null,
            "ordering": 0,
            "name_ar": "جده",
            "name_en": "Jeddah",
            "country_code": "SA",
            "keywords": "Jeddah,jeddah,جدة,جده",
            "is_supported": true
        },
        "location_url": "https://maps.google.com/?q=21.602493063070646,39.10834543362559",
        "app_id": null,
        "created_at": "2022-03-12T20:17:02.046510+03:00",
        "modified_at": "2023-10-16T18:09:24.124799+03:00",
        "is_deleted": false,
        "deleted_at": null,
        "ordering": 0,
        "name_ar": "مكتب يوميلز",
        "name_en": "yumealz office",
        "longitude": "39.10834543362559",
        "latitude": "21.602493063070646",
        "address1": "J425+X8F, Al Kurnaysh Rd, As Shati، Jeddah 23511",
        "address2": null,
        "place_id": "ChIJNY1B2QjPwxURqY47Uyf9F3g",
        "postal_code": "23511",
        "formatted_address": "J425+X8F, Al Kurnaysh Br Rd, Ash Shati, Jeddah 23511, Saudi Arabia",
        "district": "Ash Shati",
        "district_ar": null,
        "city_name_en": "Jeddah",
        "city_name_ar": null,
        "route": "Al Kurnaysh Branch Road",
        "street_number": null,
        "is_synced": true,
        "zone": 1
    },
    "delivery_window": {
        "id": 5,
        "custom_fields": null,
        "app_id": null,
        "created_at": "2022-10-03T16:03:41.811405+03:00",
        "modified_at": "2023-02-26T14:46:02.766259+03:00",
        "is_deleted": false,
        "deleted_at": null,
        "ordering": 0,
        "type": "both",
        "from_time": "17:00:00",
        "to_time": "21:00:00",
        "is_default": false,
        "is_active": true,
        "tag_en": null,
        "tag_ar": null
    },
    "app_id": null,
    "created_at": "2022-03-12T20:17:32.440381+03:00",
    "modified_at": "2023-02-14T17:20:28.044454+03:00",
    "is_deleted": false,
    "deleted_at": null,
    "ordering": 0,
    "name_ar": "مكتب يوميلز",
    "name_en": "yumealz office",
    "floor_number": "3",
    "office_number": "326",
    "description": null,
    "mobile_number": "0534501056",
    "secondary_mobile_number": "0534501058",
    "cashback_percentage": 0.0
}
Modified at 2025-12-30 16:10:15
Previous
List Mobile Connectors
Built with